
#include <QLabel>
#include <QPixmap>
#include <QHBoxLayout>
#include <QPushButton>
#include <QLocale>
#include <QDeclarativeView>
#include <QApplication>
#include <QTranslator>

#include "widget.h"
#include "qml_source_path.h"

Widget::Widget(QWidget *parent)
  : QWidget(parent)
{
  deTranslator = new QTranslator(this);
  deTranslator->load(QML_SOURCE_PATH "source_de_DE" );
//   qApp->installTranslator(deTranslator);

  QHBoxLayout *layout = new QHBoxLayout(this);
  QDeclarativeView *view = new QDeclarativeView;
  view->setSource(QUrl( QML_SOURCE_PATH "source.qml"));

  QPushButton *change = new QPushButton("Change Language");
  connect(change, SIGNAL(clicked()), SLOT(changeLanguage()));

  layout->addWidget(view);
  layout->addWidget(change);
}

void Widget::changeLanguage()
{
  qApp->installTranslator(deTranslator);
  QLocale::setDefault(QLocale(QLocale::German, QLocale::Germany));
}

#include "widget.moc"
